net.sf.saxon.dom

## Class TypeInfoImpl

- java.lang.Object
- - net.sf.saxon.dom.TypeInfoImpl

- All Implemented Interfaces:
    TypeInfo

      public class TypeInfoImpl
      extends Object
      implements TypeInfo

  This class implements the DOM TypeInfo interface as a wrapper over the Saxon SchemaType interface.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.TypeInfo

      `DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeInfoImpl(Configuration config, SchemaType type)` Construct a TypeInfo based on a SchemaType

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTypeName()` Get the local name of the type (a system-allocated name if anonymous).
    `String` | `getTypeNamespace()` Get the namespace name of the type (a system-allocated name if anonymous).
    `boolean` | `isDerivedFrom(String typeNamespaceArg, String typeNameArg, int derivationMethod)` This method returns true if there is a derivation between the reference type definition, that is the TypeInfo on which the method is being called, and the other type definition, that is the one passed as parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeInfoImpl

          public TypeInfoImpl(Configuration config,
                      SchemaType type)

      Construct a TypeInfo based on a SchemaType

  - ### Method Detail

    - #### getTypeName

          public String getTypeName()

      Get the local name of the type (a system-allocated name if anonymous). Needed to implement the DOM level 3 TypeInfo interface.
      Specified by:
        `getTypeName` in interface `TypeInfo`

    - #### getTypeNamespace

          public String getTypeNamespace()

      Get the namespace name of the type (a system-allocated name if anonymous). Needed to implement the DOM level 3 TypeInfo interface.
      Specified by:
        `getTypeNamespace` in interface `TypeInfo`

    - #### isDerivedFrom

          public boolean isDerivedFrom(String typeNamespaceArg,
                              String typeNameArg,
                              int derivationMethod)
                                throws IllegalStateException

      This method returns true if there is a derivation between the reference type definition, that is the TypeInfo on which the method is being called, and the other type definition, that is the one passed as parameters. This method implements the DOM Level 3 TypeInfo interface. It must be called only on a valid type.
      Specified by:
        `isDerivedFrom` in interface `TypeInfo`
      Parameters:
        `typeNamespaceArg` - the namespace of the "other" type
        `typeNameArg` - the local name of the "other" type
        `derivationMethod` - the derivation method: zero or more of `SchemaType.DERIVATION_RESTRICTION`, `SchemaType.DERIVATION_EXTENSION`, `SchemaType.DERIVATION_LIST`, or `SchemaType.DERIVATION_UNION`. Zero means derived by any possible route.
      Throws:
        `IllegalStateException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.